Bug 216456 - "/usr/lib/anaconda/gui.py
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
: 216457 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-11-20 11:43 EST by Jorge
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-24 17:13:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jorge 2006-11-20 11:43:39 EST
Description of problem:
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 873, in nextClicked
  File "/usr/lib/anaconda/dispatch.py", line 174, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 242, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 172, in readPackages
    grpset = method.readComps(hdrlist)
  File "/usr/lib/anaconda/installmethod.py", line 65, in readComps
    return self.readCompsViaMethod(hdlist)
  File "/usr/lib/anaconda/image.py", line 106, in readCompsViaMethod
    return groupSetFromCompsFile(fname, hdlist)
  File "/usr/lib/anaconda/hdrlist.py", line 928, in groupSetFromCompsFile
    compsxml = rhpl.comps.Comps(file)
  File "/usr/lib/python2.4/site-packages/rhpl/comps.py", line 349, in __init__
    self.load (filename)
  File "/usr/lib/python2.4/site-packages/rhpl/comps.py", line 360, in load
    file = filename.read()
IOError: [Errno 5] Error de entrada/salida

Local variables in innermost frame:
self: <rhpl.comps.Comps object at 0xb7a5004c>
filename: <addinfourl at -1215039028 whose fp = <open 
file '/mnt/source/Fedora/base/comps.xml', mode 'rb' at 0xb7a43a88>>

Dispatcher instance, containing members:
intf: InstallInterface instance, containing members:
  intf.icw: InstallControlWindow instance, containing members:
    intf.icw.displayHelp: True
    intf.icw.releaseNotesViewerPid: None
    intf.icw.handle: 1193
    intf.icw.releaseNotesStartViewerAttempts: 0
    intf.icw.releaseNotesType: text
    intf.icw.mainxml: <gtk.glade.XML object (PyGladeXML) at 0xb7a798c4>
    intf.icw.dispatch: Already dumped
    intf.icw.reloadRcQueued: 0
    intf.icw.ii: Already dumped
    intf.icw.window: <gtk.Window object (GtkWindow) at 0xb7a79b94>
    intf.icw.installFrame: <gtk.Frame object (GtkFrame) at 0xb7a782fc>
    intf.icw.releaseNotesStartViewer: 0
    intf.icw.currentWindow: AccountWindow instance, containing members:
      intf.icw.currentWindow.intf: Already dumped
      intf.icw.currentWindow.pw: <gtk.Entry object (GtkEntry) at 0xb7a0207c>
      intf.icw.currentWindow.confirm: <gtk.Entry object (GtkEntry) at 
      intf.icw.currentWindow.forward: <function <lambda> at 0xb7a3f8ec>
      intf.icw.currentWindow.passwords: {}
      intf.icw.currentWindow.rootStatus: <gtk.Label object (GtkLabel) at 
      intf.icw.currentWindow.ics: InstallControlState instance, containing 
        intf.icw.currentWindow.ics.helpButtonEnabled: True
('/mnt/source/RHupdates', './', '/usr/share/anaconda/')
        intf.icw.currentWindow.ics.grabNext: False
        intf.icw.currentWindow.ics.title: Coloque la contraseña de root
        intf.icw.currentWindow.ics.htmlFile: accts
        intf.icw.currentWindow.ics.helpEnabled: True
        intf.icw.currentWindow.ics.nextEnabled: True
        intf.icw.currentWindow.ics.prevEnabled: True
        intf.icw.currentWindow.ics.cw: Already dumped
      intf.icw.currentWindow.rootPw: <Type RootPassword>
    intf.icw.id: InstallData instance, containing members:
      intf.icw.id.dbpath: None
      intf.icw.id.firewall: Firewall instance, containing members:
        intf.icw.id.firewall.services: [Service instance, containing members:
          ports: [22:tcp]
          name: Remote Login (SSH)
          key: ssh
          allowed: False
, Service instance, containing members:
          ports: [80:tcp]
          name: Web Server (HTTP, HTTPS)
          key: http
          allowed: True
, Service instance, containing members:
          ports: [21:tcp]
          name: File Transfer (FTP)
          key: ftp
          allowed: False
, Service instance, containing members:
          ports: [25:tcp]
          name: Mail Server (SMTP)
          key: smtp
          allowed: False
        intf.icw.id.firewall.portlist: []
        intf.icw.id.firewall.trustdevs: []
        intf.icw.id.firewall.enabled: 1
      intf.icw.id.rootParts: None
      intf.icw.id.upgradeRoot: None
      intf.icw.id.xsetup: XSetup instance, containing members:
        intf.icw.id.xsetup.skipx: 0
        intf.icw.id.xsetup.imposed_sane_default: 0
        intf.icw.id.xsetup.xhwstate: XF86HardwareState instance, containing 
          intf.icw.id.xsetup.xhwstate.probed_physical_height: 0
          intf.icw.id.xsetup.xhwstate.probed_video_ram: 0
          intf.icw.id.xsetup.xhwstate.videocard_PCIBus: None
          intf.icw.id.xsetup.xhwstate.colordepth: 16
          intf.icw.id.xsetup.xhwstate.monitor_name: Unknown monitor
          intf.icw.id.xsetup.xhwstate.dri_enabled: 1
          intf.icw.id.xsetup.xhwstate.monitor: monName: Unknown monitor
monID: Unprobed Monitor
monHoriz: 31.5-37.9
monVert: 50-70
physicalWidth: 0
physicalHeight: 0

          intf.icw.id.xsetup.xhwstate.videocard_name: SiS 630/730
          intf.icw.id.xsetup.xhwstate.video_ram: 0
          intf.icw.id.xsetup.xhwstate.videocard_driver: sis
          intf.icw.id.xsetup.xhwstate.videocard_options: []
          intf.icw.id.xsetup.xhwstate.vsync: 50-70
          intf.icw.id.xsetup.xhwstate.physical_height: 0
          intf.icw.id.xsetup.xhwstate.probed_vsync: 50-70
          intf.icw.id.xsetup.xhwstate.physical_width: 0
          intf.icw.id.xsetup.xhwstate.hsync: 31.5-37.9
          intf.icw.id.xsetup.xhwstate.probed_physical_width: 0
          intf.icw.id.xsetup.xhwstate.xconfig: None
          intf.icw.id.xsetup.xhwstate.all_resolutions: [640x480, 800x480, 
800x600, 1024x600, 1024x768, 1152x768, 1152x864, 1280x800, 1280x960, 
1280x1024, 1400x1050, 1440x900, 1600x1200, 1680x1050, 1900x1200, 1920x1200, 
1920x1440, 2048x1536]
          intf.icw.id.xsetup.xhwstate.videocard: primary: 0
vidCards: [<rhpl.videocard.VideoCard instance at 0xb7d81ccc>]
Primary Video Card Info:
device: fb0
descr : Silicon Integrated Systems [SiS] 630/730 PCI/AGP VGA Display Adapter
server: Xorg
cardManf: None
vidRam: None
carddata: {'CHIPSET': 'SiS630', 'DRIVER': 'sis', 'NAME': 'SiS 
630/730', 'NOCLOCKPROBE': ''}
devID: SiS 630/730
fbmodes: None
fbbpp: None

          intf.icw.id.xsetup.xhwstate.videocard_PCIFn: None
          intf.icw.id.xsetup.xhwstate.probed_hsync: 31.5-37.9
          intf.icw.id.xsetup.xhwstate.resolution: 800x600
          intf.icw.id.xsetup.xhwstate.videocard_PCIDev: None
      intf.icw.id.accounts: <Type Accounts>
      intf.icw.id.keyboard: Keyboard instance, containing members:
        intf.icw.id.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': es}
        intf.icw.id.keyboard.type: PC
        intf.icw.id.keyboard.beenset: 1
        intf.icw.id.keyboard._mods: KeyboardModels instance, containing 
Actual results:

Expected results:

Additional info:
Comment 1 Jeremy Katz 2006-11-28 13:06:20 EST
Did you verify your media? 
Comment 2 Jeremy Katz 2006-11-28 13:06:47 EST
*** Bug 216457 has been marked as a duplicate of this bug. ***
Comment 3 Red Hat Bugzilla 2007-06-11 23:24:37 EDT
requested by Jams Antill

Note You need to log in before you can comment on or make changes to this bug.